(defun texaus () (setq eing 0) (setq text_ent nil) ; (while (= text_ent nil) ; (progn (setq pkt_cl (grread (setq text_ent (nentsel "\nText oder Attribut wählen")))) (if (/= (car pkt_cl) 5) (progn (exit))) ;;)) ;(setq text_ent (Nentsel "\nText oder Attribut wählen")) (if (= text_ent nil) (progn (texaus) ; (exit) ) ) ; (if (= text_ent nil) ; (progn ; (texaus) ; ) (setq text_get (entget (car text_ent))) (if (and (/= (cdr (assoc 0 Text_get)) "TEXT") (/= (cdr (assoc 0 Text_get)) "ATTRIB") ) (progn (texaus) ) ) (setq text_inh (cdr (assoc 1 Text_get))) (if (> (setq iv (load_dialog "ted")) 0 ) (progn (if (new_dialog "ted" iv) (progn (defun checkit () (setq eing 1) (setq tex (get_tile "tex")) tex ) (If (= (cdr (assoc 0 Text_get)) "TEXT") (set_tile "t_a" "Text: ") ) (If (= (cdr (assoc 0 Text_get)) "ATTRIB") (set_tile "t_a" "Attributswert: ") ) (set_tile "tex" text_inh) (mode_tile "tex" 2) (action_tile "accept" "(if (setq tex (checkit)) (done_dialog 1))" ) (action_tile "cancel" "(done_dialog 0)") (action_tile "help" "") (setq flag (start_dialog)) ) (alert "Unable to display dialog box") ) (unload_dialog iv) ) (alert "Unable to load dialog box") ) (if (= eing 1) (progn (if (= (cdr (assoc 0 Text_get)) "TEXT") (progn (Setq text_get (subst (cons 1 tex) (assoc 1 text_get) text_get ) ) (entmod text_get) ) ) (if (= (cdr (assoc 0 Text_get)) "ATTRIB") (progn (COMMAND "_-attedit" "_Y" "*" "*" "*" text_ent "_value" "_replace" tex "_Next") ) ) ) ) (setvar "cmdecho" om) (texaus) (princ) ) (defun c:ted () (setq om (getvar "cmdecho")) (setvar "cmdecho" 0) (texaus) ) (princ) ;|«Visual LISP© Format Options» (72 2 40 0 T "end of " 60 9 0 0 0 nil T nil T) ;*** KEINEN Text unterhalb des Kommentars hinzufügen! ***|;